#
# spec file for package qsstv
#

Name:           qsstv
Version:        9.5.8
Release:        0
License:        GPL-3.0
Summary:        Qt-based SSTV and HAMDRM
Url:            http://users.telenet.be/on4qz/qsstv/
Group:          Productivity/Hamradio/Other
Source:         %{name}_%{version}.tar.gz
Source1:        qsstv.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gcc-c++
BuildRequires:  libv4l-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  update-desktop-files

%description
QSSTV is a program for receiving and transmitting SSTV and HAMDRM (sometimes
called DSSTV). It is compatible with most of MmSSTV and EasyPal

%prep
%setup -q -n %{name}

%build
qmake-qt5 %{name}.pro PREFIX=/usr
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

# Let suse_update_desktop_file find the qsstv icon
cp icons/%{name}.png %{_sourcedir}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%suse_update_desktop_file -c %{name} Qsstv "Qt-based SSTV and HAMDRM" %{name} %{name} "Network;HamRadio"


%files
%doc README.txt
%license COPYING
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%changelog
